<?php include('casa/setup.casa.php');
	$codigo = substr(sha1(uniqid()),1,7);
	$cmbUbicaciones = DataForms::POST('cmbUbicaciones');	
	$cmbTipoU = DataForms::POST('cmbTipoU');		
	$txtCI = DataForms::POST('txtCI');
	$txtNombres = DataForms::POST('txtNombres');
	$txtApellidos = DataForms::POST('txtApellidos');
	$txtUSER = DataForms::POST('txtUSER');
	$txtPASS = DataForms::POST('txtPASS');

	if(trim($cmbUbicaciones)==''){	
		echo '<script>$("#cmbUbicaciones").focus();</script>';
		exit();
	} 
	if(trim($cmbTipoU)==''){	
		echo '<script>$("#cmbTipoU").focus();</script>';
		exit();
	} 	
	if(trim($txtCI)==''){	
		echo '<script>$("#txtCI").focus();</script>';
		exit();
	} 
	if(trim($txtNombres)==''){	
		echo '<script>$("#txtNombres").focus();</script>';
		exit();
	} 
	if(trim($txtApellidos)==''){	
		echo '<script>$("#txtApellidos").focus();</script>';
		exit();
	} 
	if(trim($txtPASS)==''){	
		echo '<script>$("#txtPASS").focus();</script>';
		exit();
	} 	

$sql = Caresp("INSERT INTO rol_usuarios (
	us_codigo,rol_id,ubica_codigo,
	us_ci,us_nombres,us_apellidos,
	us_user,us_pass,us_foto
)VALUES(
	'$codigo', '$cmbTipoU', '$cmbUbicaciones', 
	'$txtCI', '$txtNombres', '$txtApellidos', 
	'$txtUSER', '".md5($txtPASS)."', 'vacio'
);");

$db = new DB();
$db->dbSQL($sql);
echo '<script>self.location="'.PATH_HOME.'usuarios/";</script>';
?>